at.chipkarte.client.rez.soap

## Class VerordnungAbgeber

- Object
- - at.chipkarte.client.rez.soap.VerordnungAbgeber

-     public class VerordnungAbgeber
      extends Object

  Verordnungsinformationen für den Abgeber.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerordnungAbgeber()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Abgabe[]` | `getAbgaben()` Erfasste Abgaben zu einer Verordnung.
    `String` | `getStatus()` Verordnungsstatus.
    `Verordnung` | `getVerordnung()` Verordnung.
    `void` | `setAbgaben(Abgabe[] abgaben)`
    `void` | `setStatus(String status)`
    `void` | `setVerordnung(Verordnung verordnung)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VerordnungAbgeber

          public VerordnungAbgeber()

  - ### Method Detail

    - #### getVerordnung

          public Verordnung getVerordnung()

      Verordnung. Siehe `Verordnung`.
      Angabe: Muss.
      Returns:
        Verordnungen

    - #### setVerordnung

          public void setVerordnung(Verordnung verordnung)

    - #### getStatus

          public String getStatus()

      Verordnungsstatus.
      Aggregierter Status der Verordnung.
      Mögliche Werte: `StatusVerordnungConstants`.
      Angabe: Muss.
      Returns:
        Status

    - #### setStatus

          public void setStatus(String status)

    - #### getAbgaben

          public Abgabe[] getAbgaben()

      Erfasste Abgaben zu einer Verordnung. Siehe `Abgabe`.
      Format: 0 bis n Elemente
      Angabe: Kann.
      Hinweis: Bei jeder Abgabe handelt es sich um eine eigenständige Abgabeinformation. Bei Kassenrezepten gibt es immer nur max. ein Abgabe-Objekt pro Verordnung, da ein Kassenrezept nur einmalig eingelöst werden kann.
      Returns:
        Abgaben

    - #### setAbgaben

          public void setAbgaben(Abgabe[] abgaben)